Package org.springframework.util

# Interface ReflectionUtils.MethodFilter

Enclosing class:
  ReflectionUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ReflectionUtils.MethodFilter
Callback optionally used to filter methods to be operated on by a method callback.

## Method Summary

Modifier and Type
Method
Description
`default ReflectionUtils.MethodFilter`
`and(ReflectionUtils.MethodFilter next)`
Create a composite filter based on this filter and the provided filter.
`boolean`
`matches(Method method)`
Determine whether the given method matches.

## Method Details

### matches

boolean matches(Method method)
Determine whether the given method matches.

Parameters:
  `method` - the method to check

### and

default ReflectionUtils.MethodFilter and(ReflectionUtils.MethodFilter next)
Create a composite filter based on this filter and the provided filter.

If this filter does not match, the next filter will not be applied.

Parameters:
  `next` - the next `MethodFilter`
Returns:
  a composite `MethodFilter`
Throws:
  `IllegalArgumentException` - if the MethodFilter argument is `null`
Since:
  5.3.2